Get onboarding invite | Moov Documentation

Get onboarding invite

Retrieve details about an onboarding invite.

To access this endpoint using an access token you'll need to specify the /accounts.read scope.

GET

/onboarding-invites/{code}

Ask

curl -X GET "https://api.moov.io/onboarding-invites/{code}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.onboarding.getInvite({
    code: "N1IA5eWYNh",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->onboarding->getInvite(
    code: 'N1IA5eWYNh'
);

if ($response->onboardingInvite !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetOnboardingInviteResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetOnboardingInviteResponse res = sdk.onboarding().getInvite()
                .code("N1IA5eWYNh")
                .call();

if (res.onboardingInvite().isPresent()) {
            System.out.println(res.onboardingInvite().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.onboarding.get_invite(code="N1IA5eWYNh")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.onboarding.get_invite(code: 'N1IA5eWYNh')

unless res.onboarding_invite.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Onboarding.GetInviteAsync(code: "N1IA5eWYNh");

// handle response

The request completed successfully.

Ask

Example

{
  "code": "N1IA5eWYNh",
  "link": "http://example.com",
  "returnURL": "string",
  "termsOfServiceURL": "string",
  "scopes": [\
    "accounts.read"\\
  ],
  "grantScopes": [\
    "transfers.write"\\
  ],
  "capabilities": [\
    "collect-funds.card-payments",\
    "send-funds.ach"\\
  ],
  "feePlanCodes": [\
    "merchant-direct"\\
  ],
  "redeemedAccountID": "string",
  "prefill": {
    "accountType": "business",
    "profile": {
      "business": {
        "legalBusinessName": "Whole Body Fitness LLC"
      }
    }
  },
  "partner": {
    "accountID": "string",
    "accountMode": "production",
    "displayName": "Bob's Widgets"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "revokedOn": "2019-08-24T14:15:22Z",
  "redeemedOn": "2019-08-24T14:15:22Z"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

List of capabilities you intend to request for this account. These values are used to determine what information to collect from the user during onboarding.

Possible values:

transfers,

send-funds,

send-funds.push-to-card,

money-transfer.push-to-card,

send-funds.ach,

send-funds.rtp,

send-funds.instant-bank,

collect-funds,

collect-funds.card-payments,

money-transfer.pull-from-card,

collect-funds.ach,

wallet,

wallet.balance,

card-issuing,

issuing.cardholder,

platform.production-app,

platform.wallet-transfers

A unique code that identifies an onboarding invite.

List of fee plan codes to assign the account created by the invitee.

A unique URL, including the invite code, that the recipient can follow to redeem the invitation.

List of scopes you request to use on this account. These values are used to determine what can be done with the account onboarded.

Possible values:

accounts.read,

accounts.write,

analytics.read,

apple-pay-merchant.read,

apple-pay-merchant.write,

apple-pay.read,

apple-pay.write,

bank-accounts.read,

bank-accounts.write,

capabilities.read,

capabilities.write,

cards.read,

cards.write,

documents.read,

documents.write,

fed.read,

files.read,

files.write,

issued-cards.read,

issued-cards.write,

issued-cards.read-secure,

payment-methods.read,

ping.read,

profile-enrichment.read,

profile.read,

profile.write,

profile.disconnect,

representatives.read,

representatives.write,

transfers.read,

transfers.write,

wallets.read

List of scopes you grant to allow being used by the new account on yourself. These values are used to determine what the account onboarded can do.

Possible values:

accounts.read,

accounts.write,

analytics.read,

apple-pay-merchant.read,

apple-pay-merchant.write,

apple-pay.read,

apple-pay.write,

bank-accounts.read,

bank-accounts.write,

capabilities.read,

capabilities.write,

cards.read,

cards.write,

documents.read,

documents.write,

fed.read,

files.read,

files.write,

issued-cards.read,

issued-cards.write,

issued-cards.read-secure,

payment-methods.read,

ping.read,

profile-enrichment.read,

profile.read,

profile.write,

profile.disconnect,

representatives.read,

representatives.write,

transfers.read,

transfers.write,

wallets.read

The account that created the onboarding invite.

Show child attributes

The account ID of the partner that created the invite.

The operating mode for an account.

Possible values:

sandbox,

production

The name of the Moov account used to create the onboarding invite.

Show child attributes

Possible values:

individual,

business

Show child attributes

Show child attributes

The legal name under which the entity is registered.

Show child attributes

The type of entity represented by this business.

Possible values:

soleProprietorship,

unincorporatedAssociation,

trust,

publicCorporation,

privateCorporation,

llc,

partnership,

unincorporatedNonProfit,

incorporatedNonProfit,

governmentEntity

A registered trade name under which the business operates, if different from its legal name.

Classification identifier for the industry. Use the GET industries endpoint to retrieve an array of valid industry details for a merchant, inducing all industry field values.

Show child attributes

Show child attributes

If the business is a financial institution, this field describes its primary regulator.

Possible values:

OCC,

FDIC,

NCUA,

FRB,

state-cu-regulator

An EIN (employer identification number) for the business. For sole proprietors, an SSN can be used as the EIN.

Show child attributes

Show child attributes

Show child attributes

Show child attributes

The individual's first given name.

The individual's family name.

The individual's second given name, if any.

Suffix of a given name.

Show child attributes

Show child attributes

Show child attributes

Show child attributes

Show child attributes

Show child attributes

Capabilities to request when the account is created. Request granular capability IDs that match your use case.

Read our capabilities reference to choose the right capabilities for your integration.

The send-funds, collect-funds, and wallet capability IDs are deprecated. Use granular values such as send-funds.ach, collect-funds.card-payments, or wallet.balance instead.

Possible values:

transfers,

send-funds,

send-funds.push-to-card,

money-transfer.push-to-card,

send-funds.ach,

send-funds.rtp,

send-funds.instant-bank,

collect-funds,

collect-funds.card-payments,

money-transfer.pull-from-card,

collect-funds.ach,

wallet,

wallet.balance,

card-issuing,

issuing.cardholder,

platform.production-app,

platform.wallet-transfers

User-provided information that can be displayed on credit card transactions for customers to use when contacting a customer support team. This data is only allowed on a business account.

Show child attributes

Show child attributes

Show child attributes

Optional alias from a foreign/external system which can be used to reference this resource.

Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

The operating mode for an account.

Possible values:

sandbox,

production

User provided settings to manage an account.

Show child attributes

Show child attributes

The description that shows up on ACH transactions. This will default to the account's display name on account creation.

User provided settings to manage card payments. This data is only allowed on a business account.

Show child attributes

The description that shows up on credit card transactions. This will default to the accounts display name on account creation.

Show child attributes

Describes the acceptance of the Terms of Service. All data is required, and must be from the user.

Show child attributes

The date and time the terms of service were accepted.

The IP address (IPv4 or IPv6) from which the terms of service were accepted.

The user-agent of the user making the request.

The account ID of the account that redeemed the invite.

Optional URL to redirect the user to after they complete the onboarding process.

The terms of service URL set by the inviter.